Bug 805283 - Rendering corruption in emacs.
Rendering corruption in emacs.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-qxl (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 15:43 EDT by Søren Sandmann Pedersen
Modified: 2014-06-18 05:15 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-26 14:36:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sandmann: fedora_requires_release_note?


Attachments (Terms of Use)

  None (edit)
Description Søren Sandmann Pedersen 2012-03-20 15:43:21 EDT
The fix for bug 754568 has caused some rendering corruption in Emacs.

Specifically, when preparing a surface for software rendering, the pixmap header is leaving the size as is. A workaround for the corruption is to set the size to size of the pixmap backing images for the surface. Which suggests that the bug might be that rendering to a pixmap is offset, and then the pixmap itself is also rendered with an offset origin, leading to excessive clipping.
Comment 1 Søren Sandmann Pedersen 2012-03-20 15:44:47 EDT
If this is not fixed by 17 GOLD, suggest a release note about the emacs corruption.
Comment 2 Cole Robinson 2013-06-26 14:36:00 EDT
Given the approaching end-of-life for F17, and that F17 qxl hasn't been updated in a year, I don't think this bug will be fixed. If anyone can reproduce with F19, please reopen.

Note You need to log in before you can comment on or make changes to this bug.